package com.ruoyi.rocketmq.service.impl;

import java.util.List;
import com.ruoyi.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.rocketmq.mapper.RmAlarmRuleTemplateMapper;
import com.ruoyi.rocketmq.domain.RmAlarmRuleTemplate;
import com.ruoyi.rocketmq.service.IRmAlarmRuleTemplateService;

/**
 * 告警规则模板Service业务层处理
 * 
 * @author gyt
 * @date 2025-09-12
 */
@Service
public class RmAlarmRuleTemplateServiceImpl implements IRmAlarmRuleTemplateService 
{
    @Autowired
    private RmAlarmRuleTemplateMapper rmAlarmRuleTemplateMapper;

    /**
     * 查询告警规则模板
     * 
     * @param id 告警规则模板主键
     * @return 告警规则模板
     */
    @Override
    public RmAlarmRuleTemplate selectRmAlarmRuleTemplateById(Long id)
    {
        return rmAlarmRuleTemplateMapper.selectRmAlarmRuleTemplateById(id);
    }

    /**
     * 查询告警规则模板列表
     * 
     * @param rmAlarmRuleTemplate 告警规则模板
     * @return 告警规则模板
     */
    @Override
    public List<RmAlarmRuleTemplate> selectRmAlarmRuleTemplateList(RmAlarmRuleTemplate rmAlarmRuleTemplate)
    {
        return rmAlarmRuleTemplateMapper.selectRmAlarmRuleTemplateList(rmAlarmRuleTemplate);
    }

    /**
     * 新增告警规则模板
     * 
     * @param rmAlarmRuleTemplate 告警规则模板
     * @return 结果
     */
    @Override
    public int insertRmAlarmRuleTemplate(RmAlarmRuleTemplate rmAlarmRuleTemplate)
    {
        rmAlarmRuleTemplate.setCreateTime(DateUtils.getNowDate());
        return rmAlarmRuleTemplateMapper.insertRmAlarmRuleTemplate(rmAlarmRuleTemplate);
    }

    /**
     * 修改告警规则模板
     * 
     * @param rmAlarmRuleTemplate 告警规则模板
     * @return 结果
     */
    @Override
    public int updateRmAlarmRuleTemplate(RmAlarmRuleTemplate rmAlarmRuleTemplate)
    {
        rmAlarmRuleTemplate.setUpdateTime(DateUtils.getNowDate());
        return rmAlarmRuleTemplateMapper.updateRmAlarmRuleTemplate(rmAlarmRuleTemplate);
    }

    /**
     * 批量删除告警规则模板
     * 
     * @param ids 需要删除的告警规则模板主键
     * @return 结果
     */
    @Override
    public int deleteRmAlarmRuleTemplateByIds(Long[] ids)
    {
        return rmAlarmRuleTemplateMapper.deleteRmAlarmRuleTemplateByIds(ids);
    }

    /**
     * 删除告警规则模板信息
     * 
     * @param id 告警规则模板主键
     * @return 结果
     */
    @Override
    public int deleteRmAlarmRuleTemplateById(Long id)
    {
        return rmAlarmRuleTemplateMapper.deleteRmAlarmRuleTemplateById(id);
    }
}
